Package org.apache.sysds.runtime.compress.estim

# Class ComEstCompressedSample

java.lang.Object
org.apache.sysds.runtime.compress.estim.AComEst
org.apache.sysds.runtime.compress.estim.ComEstSample
org.apache.sysds.runtime.compress.estim.ComEstCompressedSample

public class ComEstCompressedSample extends ComEstSample

## Constructor Summary

Constructors
Constructor
Description
`ComEstCompressedSample(CompressedMatrixBlock sample, CompressionSettings cs, CompressedMatrixBlock full, int k)`

## Method Summary

Modifier and Type
Method
Description
`CompressedSizeInfoColGroup`
`getColGroupInfo(IColIndex colIndexes, int estimate, int nrUniqueUpperBound)`
A method to extract the Compressed Size Info for a given list of columns, This method further limits the estimated number of unique values, since in some cases the estimated number of uniques is estimated higher than the number estimated in sub groups of the given colIndexes.
`CompressedSizeInfoColGroup`
`getDeltaColGroupInfo(IColIndex colIndexes, int estimate, int nrUniqueUpperBound)`
A method to extract the Compressed Size Info for a given list of columns, This method further limits the estimated number of unique values, since in some cases the estimated number of uniques is estimated higher than the number estimated in sub groups of the given colIndexes.

### Methods inherited from class org.apache.sysds.runtime.compress.estim.ComEstSample

`getSortedSample, toString`

### Methods inherited from class org.apache.sysds.runtime.compress.estim.AComEst

`clearNNZ, combine, combine, computeCompressedSizeInfos, getColGroupInfo, getDeltaColGroupInfo, getNumColumns, getNumRows`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ComEstCompressedSample

public ComEstCompressedSample(CompressedMatrixBlock sample, CompressionSettings cs, CompressedMatrixBlock full, int k)

## Method Details

### getColGroupInfo

public CompressedSizeInfoColGroup getColGroupInfo(IColIndex colIndexes, int estimate, int nrUniqueUpperBound)
Description copied from class: `AComEst`
A method to extract the Compressed Size Info for a given list of columns, This method further limits the estimated number of unique values, since in some cases the estimated number of uniques is estimated higher than the number estimated in sub groups of the given colIndexes.

Overrides:
  `getColGroupInfo` in class `ComEstSample`
Parameters:
  `colIndexes` - The columns to extract compression information from
  `estimate` - An estimate of number of unique elements in these columns
  `nrUniqueUpperBound` - The upper bound of unique elements allowed in the estimate, can be calculated from the number of unique elements estimated in sub columns multiplied together. This is flexible in the sense that if the sample is small then this unique can be manually edited like in CoCodeCostMatrixMult.
Returns:
  The CompressedSizeInfoColGroup for the given column indexes.

### getDeltaColGroupInfo

public CompressedSizeInfoColGroup getDeltaColGroupInfo(IColIndex colIndexes, int estimate, int nrUniqueUpperBound)
Description copied from class: `AComEst`
A method to extract the Compressed Size Info for a given list of columns, This method further limits the estimated number of unique values, since in some cases the estimated number of uniques is estimated higher than the number estimated in sub groups of the given colIndexes. The Difference for this method is that it extract the values as delta values from the matrix block input.

Overrides:
  `getDeltaColGroupInfo` in class `ComEstSample`
Parameters:
  `colIndexes` - The columns to extract compression information from
  `estimate` - An estimate of number of unique delta elements in these columns
  `nrUniqueUpperBound` - The upper bound of unique elements allowed in the estimate, can be calculated from the number of unique elements estimated in sub columns multiplied together. This is flexible in the sense that if the sample is small then this unique can be manually edited like in CoCodeCostMatrixMult.
Returns:
  The CompressedSizeInfoColGroup for the given column indexes.